<!DOCTYPE html>
<html lang="de">
  <head>
    <% include head %>
    <script src="socket.io-client/dist/socket.io.js"></script>
      <script src="js/Bedienung.js"></script>
    <title>Paketbox-Bedienung</title>
  </head>

  <body>
	<div class="container">
    <div class="page-header">
      <div class=" panel panel-primary">
        <div class="panel-heading"><h1><strong>Bedienung</strong></h1></div>
      </div>
    </div>
      <div class="row">
        <div class="col-md-2">
			<div class="page-header">
        		<h3>Menü</h3>
      		</div>
			<ul class="nav nav-pills">
  		    <li role="presentation"><a href="Uebersicht.ejs"><strong>Übersicht</strong></a></li>
  			  <li role="presentation"><a href="Pakete.ejs"><strong>Pakete</strong></a></li>
			    <li role="presentation" class="active"><a href="Bedienung.ejs"><strong>Bedienung</strong></a></li>
			    <li role="presentation"><a href="Einstellungen.ejs"><strong>Einstellungen</strong></a></li>
          <li role="presentation"><a href="Logout.ejs"><strong>Logout</strong></a></li>
			</ul>
		</div>
		<div class="col-md-2">
			<div class="page-header">
				<h2>Aktoren</h2>
			</div>
			<button id="akttaster" class="btn btn-block btn-primary btn-lg btn-success" value="1">Paketbox öffnen</button>
			<button id="fehltaster" class="btn btn-block btn-primary btn-lg btn-success" value="1">Fehler-LED ansteuern</button>
		</div>
		<div class="col-md-offset-5">
			<div class="page-header">
				<h2>Sensoren</h2>
			</div>
			<h2><span id="door" class="label label-success">Türöffner</span></h2>
			<h2><span id="led" class="label label-success">Fehler-LED</span><h2>
		</div>
    <div class="col-md-offset-2">
      <div class="page-header">
				<h2>Programm Bedienelemente</h2>
			</div>
      <p>Mit diesen Knöpfen kann das Programm neugestartet oder ganz heruntergefahren werden!</p>
      <div class="row">
        <div class="col-md-2">
          <form method="post" action="/programmRestart">
            <input type="submit" class="btn btn-primary btn-load btn-lg" value="Programm neustarten">
          </form>
        </div>
        <div class="col-md-offset-3">
          <form method="post" action="/programmShutdown">
            <input type="submit" class="btn btn-primary btn-load btn-lg" value="Programm herunterfahren">
          </form>
        </div>
    </div>
	  </div>
    <div class="row">
      <div class="col-md-offset-2">
        <div class="page-header">
			  	<h2>Systemlog</h2>
		  	</div>
        <table id="table_sort" class="table table-striped table-bordered" cellspacing="0" width="100%">
				  <thead>
					<tr>
					  <th>Zeitstempel</th>
            <th>Fehlerklasse</th>
            <th>Kommentar</th>
					</tr>
				  </thead>
				  <tbody>
            <% syslog.forEach(function(log) { %>
              <tr>
                <td><%= log.timestamp %></td>
                <td><%= log.class %></td>
                <td><%= log.comment %></td>
             </tr>
            <% }); %>
				  </tbody>
				</table>
      </div>
    </div>
    <div class="row">
	  	<div class="col-md-2">
	  		<div class="page-header">
			  	<h3>Datum:</h3>
			  	<strong id="datum"></strong>
		  	</div>
		  </div>
		 <div class="col-md-2">
		 	<div class="page-header">
				<h3>Softwareversion:</h3>
				<strong>Version 1.0.0</strong>
			</div>
		 </div>
		 <div class="col-md-2">
		  	<div class="page-header">
			<h3>Teamname</h3>
			<strong>PACtec</strong>
	  	 </div>
	  	</div>
	  </div>
	</div>

  <% include footer %>
  <script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.10.13/js/dataTables.bootstrap.min.js"></script>

  </body>
</html>
